module flop_table_module
  implicit none
  public
  integer, parameter :: C_TIMES_C = 6       ! c1 * c2
  integer, parameter :: R_TIMES_C = 2       ! r1 * c2
  integer, parameter :: R_TIMES_R = 1       ! r1 * r2
  integer, parameter :: C_ADD_C   = 2       ! c1 + c2
  integer, parameter :: R_ADD_C   = 1       ! r1 + c2
  integer, parameter :: R_ADD_R   = 1       ! r1 + r2
  integer, parameter :: C_ADD_C_TIMES_C = 8  ! c1 + c2 * c3
  integer, parameter :: C_ADD_R_TIMES_C = 4  ! c1 + r2 * c3
  integer, parameter :: R_ADD_ABS2 = 4               ! r1 + cr*cr + ci*ci
  integer, parameter :: C_ADD_PROD = C_ADD_C_TIMES_C ! c1 + c2*c3
  integer, parameter :: HOPPING_MULT = 288+336*3     ! gamma4 Diagonal notation
end module
